<!--
	This file is part of BitSnake.

	BitSnake is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	BitSnake is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with BitSnake.  If not, see <https://www.gnu.org/licenses/>.
-->

<!DOCTYPE html>
<html lang="en"><head>
	<meta charset="utf-8" />
	<title>BitSnake</title>
	<link rel="stylesheet" href="css/index.css" />
	<link rel="manifest" href="/manifest.json">
	<link rel="preconnect" href="//static.a-ads.com">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<meta name="theme-color" content="#8F8">
	<meta name="Description" content="Simple snake game with PWA.">
</head><body id="home" class="column">
	<h1 class="row">BitSnake</h1>
	<div class="row">
		<h3>Points: <span id="points">0</span></h3>
		<h3>Levels: <span id="levels">0</span></h3>
	</div>
	<div class="row">
		<button role="none" tabindex="-1" onclick="startPause()">
				<img alt="" src="imgs/play.svg"></button>
		<button role="none" tabindex="-1" onclick="stop()">
				<img alt="" src="imgs/stop.svg"></button>
	</div>
	<canvas id="canvas" class="row"></canvas>
	<div id="modal">
		<div id="modal-content" class="column">
			<h2 class="row">Game Over!</h2>
			<a class="row"><button onclick="restart()">Restart</button></a>
			<a href="/" class="row"><button>Home</button></a>
		</div>
	</div>
	<iframe title="A-ADS" data-aa="1181834" src="//ad.a-ads.com/1181834?size=320x50"
			style="width:320px; height:50px; border:0px; padding:0; overflow:hidden"
			scrolling="no" allowtransparency="true"></iframe>
	<img id="body" class="hidden" src="imgs/body.png">
	<img id="apple" class="hidden" src="imgs/apple.png">

	<script class="hidden">
	if('serviceWorker' in navigator) {
		navigator.serviceWorker
			.register('/sw.js');
	}
	</script>
	<script class="hidden" src="js/game.js"></script>
	<script class="hidden" src="js/body.js"></script>
	<script class="hidden" src="js/snake.js"></script>
	<script class="hidden" src="js/apple.js"></script>
	<script class="hidden" src="js/index.js"></script>
</body></html>
